Subject: Re: bug#66540: [DOCUMENTATION] doc: Expand origin-Reference section

From: Ludovic Courtès <[email-masked]>
Date: Wed, 18 Oct 2023 23:11:19 +0200

Hi Christina,

Christina O'Donnell <[email-masked]> skribis:

> * doc/guix.texi (origin Reference): Add references for hg-reference,
> svn-reference, bzr-fetch, and bzr-reference.

This looks great to me.

For ‘svn-reference’, I had to check the code: when ‘recursive?’ is
false, “--ignore-externals” is passed to ‘svn’.  I have a vague
recollection of “externals” being akin to submodules in Git.  Anyway, I
modified the patch as shown below.

Applied now, thank you!

Ludo’.

diff --git a/doc/guix.texi b/doc/guix.texi
index 24ee1dc702..91408b8e62 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -8573,7 +8573,7 @@ origin Reference
 
 @item @code{recursive?} (default: @code{#f})
 This Boolean indicates whether to recursively fetch Subversion
-sub-modules.
+``externals''.
 
 @item @code{user-name} (default: @code{#f})
 The name of an account that has read-access to the repository, if the